package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel
public class DrpWaitPayAndRefundRecordsPageDTO  {
   @ApiModelProperty("采购订单号")
   private String orderGoodsId;
   @ApiModelProperty("采购订单标题")
   private String orderTitle;
   @ApiModelProperty("供应商")
   private Long supplierId;
   @ApiModelProperty("制表开始时间")
   private LocalDateTime crtimeStart;
   @ApiModelProperty("制表结束时间")
   private LocalDateTime crtimeEnd;


   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public String getOrderTitle() {
      return this.orderTitle;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public LocalDateTime getCrtimeStart() {
      return this.crtimeStart;
   }

   public LocalDateTime getCrtimeEnd() {
      return this.crtimeEnd;
   }

   public DrpWaitPayAndRefundRecordsPageDTO setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public DrpWaitPayAndRefundRecordsPageDTO setOrderTitle(final String orderTitle) {
      this.orderTitle = orderTitle;
      return this;
   }

   public DrpWaitPayAndRefundRecordsPageDTO setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpWaitPayAndRefundRecordsPageDTO setCrtimeStart(final LocalDateTime crtimeStart) {
      this.crtimeStart = crtimeStart;
      return this;
   }

   public DrpWaitPayAndRefundRecordsPageDTO setCrtimeEnd(final LocalDateTime crtimeEnd) {
      this.crtimeEnd = crtimeEnd;
      return this;
   }

   public String toString() {
      String var10000 = this.getOrderGoodsId();
      return "DrpWaitPayAndRefundRecordsPageDTO(orderGoodsId=" + var10000 + ", orderTitle=" + this.getOrderTitle() + ", supplierId=" + this.getSupplierId() + ", crtimeStart=" + String.valueOf(this.getCrtimeStart()) + ", crtimeEnd=" + String.valueOf(this.getCrtimeEnd()) + ")";
   }
}
